# Class JSOFAFailedConvergenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jastronomy.jsofa.JSOFAException
org.jastronomy.jsofa.JSOFAFailedConvergenceException

All Implemented Interfaces:
  `Serializable`

public class JSOFAFailedConvergenceException extends JSOFAException
Exception reporting some form of convergence failure in an algorithm.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JSOFAFailedConvergenceException(String message, int status)`

## Method Summary

### Methods inherited from class JSOFAException

`getStatus`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JSOFAFailedConvergenceException

public JSOFAFailedConvergenceException(String message, int status)